Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2185 - Service unavailable
Summary: Service unavailable
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-14 22:14 UTC by rob
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-29 16:24:15 UTC


Attachments (Terms of Use)

Description rob 1999-04-14 22:14:37 UTC
I was setting up MinorDomo on a 5.9 box, and it didn't want
to work, so I tried MajorDomo, thinking that I must have
screwed up with the major domo config stuff.
<P>I checked the FAQ's and talked to the guy who wrote minor
domo, seems the problem might just be on the sendmail side.
<P>Here is the errors in the mail log
<BR>
Apr 12 22:22:17 power sendmail[5505]: WAA05504:
to="|/usr/sbin/minordomo.pl", delay=00:00:02,
xdelay=00:00:00, mailer=prog, stat=Service unavailable
<BR>
Apr 12 22:22:17 power sendmail[5505]: WAA05504: WAA05505:
DSN: Service unavailable
<BR>
Apr 14 09:21:35 power sendmail[9120]: JAA09119:
to="|/usr/sbin/minordomo.pl", delay=00:00:01,
xdelay=00:00:00, mailer=prog, stat=Service unavailable
<BR>
Apr 14 09:21:35 power sendmail[9120]: JAA09119: JAA09120:
DSN: Service unavailable
<BR>
Apr 14 16:46:28 power sendmail[11968]: QAA11968:
to="|/usr/lib/majordomo/wrapper majordomo", delay=00:00:01,
xdelay=00:00:00, mailer=prog, stat=Service unavailable
<BR>
Apr 14 16:46:28 power sendmail[11968]: QAA11968: QAB11968:
DSN: Service unavailable
<P>

Same error, no matter which mailer I use.  Sendmail seems to
be working, I am pretty sure (pine and netscape for users
allow mail to be sent, cron is sending me some errors to
root like crazy), but for some reason the mailing list apps
can't use it.  I am guessing some configuration file is just
overly secure?  I don't know much about sendmail, I poked
around, but I can't find the error.

<P>If this is just a bug, I'll keep an eye out for the newer
version.. If this is just a security setting in a config
file, I would be really thankfull if you could send me a not
as to what to edit.

<P>Thanks.
<P>PS, 5.9 rocks, if it stablizes out by 6.0, Red Hat will
score BIG BIG BIG.. E+Gnome is very slick looking and
working, although unstable during configuration, but that's
a whole seperat thing I am sure Raster is hard at work on.

Comment 1 rob 1999-05-08 05:33:59 UTC
Still a problem on 6.0 :-(  I REALLY depended on MinorDomo, on the
mailing list there was a discussion, but I can't seem to get it to
work yet, here is what they think:

From: "Jonathan S. Keim" <jonkeim@phoenix.Princeton.EDU>
Wed 09:04
Subject: Re: hmm...minordomo error
     To: minordomo-list@nodomainname.net

I was having this problem for a while.  The way I fixed it took some
trial and error, but it works okay now.  (Plus, this method closes a
couple of old security holes in sendmail, thanks to smrsh.)

First you have to enable smrsh for sendmail (if you're using sendmail)
in the sendmail.cf file.  The easiest way to do that is using the m4
macro tool.  There are instructions on the web about that, although I
can't remember where.  (Maybe the sendmail.org site?)  The man pages
for m4 and smrsh were very helpful.

Then, after enabling smrsh, you can put a symbolic link to the
minordomo script at /usr/adm/sm.bin/minordomo.pl.  That lets smrsh
access the script.  This took me hours to figure out on my own, but it
shouldn't be too hard to reproduce.

Good luck.
Jon.

From: "Jonathan S. Keim" <jonkeim@phoenix.Princeton.EDU>
Wed 09:09
Subject: Re: hmm...minordomo error
     To: minordomo-list@nodomainname.net

I forgot:
in the redhat-nospam.mc file (yours may be just redhat.mc or maybe
something else) the lines exist
define(`confEBINDIR', `/usr/sbin/smrsh')
FEATURE(smrsh)
these are what enable the smrsh feature in the redhat distribution's
mc
file.  then you just build the cf file and place it in the /etc/
directory.

jon.

Comment 2 Cristian Gafton 1999-07-29 07:24:59 UTC
did you get it to work?

Comment 3 Cristian Gafton 1999-07-29 16:13:59 UTC
closed due to lack of feedback.


Note You need to log in before you can comment on or make changes to this bug.